## sipp 3.1

=== Makefile ===
#
# SIPP - a 3-d rendering library
#
# Copyright  Equivalent Software HB
#
# This is the main Makefile for sipp version 3.1. This directory
# contains three subdirectories:
# libsipp: source code for the library itself.
# demo:    source code for demonstrations and tests
# doc:     standard manual pages for the library.
#
# You can either make the library and the tests/demos separately or 
# you can make them all in one make session. 
#
# To create the library, just type 'make library'.
# To make the demo programs, type 'make demos', but if you haven't 
# made the library first, this will be made automatically for you by
# the makefile in the demos directory.
#
# Before you can make anything, though, you may have to edit the 
# following definitions:


# If your C compiler doesn't grok the void type, uncomment the 
# following line:
#NOVOID = -Dvoid=int


# If you don't have memcpy() and friends in your C library, or 
# if you don't have memory.h in /usr/include, uncomment the
# following line:
#NOMEMCPY = -DNOMEMCPY


# If you don't have alloca(), uncomment the following line:
#ALLOCA = -DHAVE_NO_ALLOCA

# If you have alloca (often in libPW), but don't have alloca.h, uncomment
# the following line:
#ALLOCA = -DHAVE_NO_ALLOCA_H

#
# If you need extra libraries during the link, define them here.
#LIBS=

# LIBDIR is where libsipp.a will be placed when you make install.
# INCLUDEDIR is where the include files will be placed when you make install.
# MANDIR is where the manuals will be placed when you make install.
# MANEXT is the extension the manuals will receive in MANDIR

LIBDIR = /usr/local/lib
INCLUDEDIR = /usr/local/include
MANDIR = /usr/local/man/man3
MANEXT = 3


# The variable EXTRA_FLAGS should be used for any configuration
# flags that you want to use during the compilation.
#
# If you want to make SIPP as a shared library under SunOS you
# need to define the following two targets:
#LIBSH = libsipp.so
#LIBHINST = install.shared
# and the following extra flags if you use gcc:
#EXTRA_FLAGS = -fPIC
# or if you use Sun cc:
#EXTRA_FLAGS = -pic

EXTRA_FLAGS =

# Choose a suitable C compiler and appropriate flags:
CC = gcc -pipe
CFLAGS = -O2 $(EXTRA_FLAGS)


# Choose a lexical analyzer generator:
LEX = lex


SHELL = /bin/sh
RM = rm -f


# ================================================================
#           Don't change anything below this line.
# ================================================================

DOCFILES = primitives.man shaders.man sipp.man sipp_pixmap.man geometric.man


MAKEOPTS = CC="$(CC)" LEX="$(LEX)" \
	CFLAGS="$(NOVOID) $(NOMEMCPY) $(ALLOCA) $(CFLAGS) -I../libsipp" \
	LIBS="$(LIBS)"
ANIMMAKEOPTS = CC="$(CC)" \
	CFLAGS="$(NOVOID) $(NOMEMCPY) $(ALLOCA) $(CFLAGS) -I../../libsipp" \
	LIBS="$(LIBS)"
        

all: library demos

library:
	cd libsipp; $(MAKE) $(MAKEOPTS) libsipp.a $(LIBSH)

demos:  library
	cd demo; $(MAKE) $(MAKEOPTS) programs
	cd demo/animation; $(MAKE) $(ANIMMAKEOPTS) all


install: library
	cd libsipp; $(MAKE) LIBDIR=$(LIBDIR) INCLUDEDIR=$(INCLUDEDIR) \
                install $(LIBHINST)
	for i in $(DOCFILES) ; do \
	    cp doc/$$i $(MANDIR)/`basename $$i .man`.$(MANEXT); \
	done


clean:
	$(RM) *~ *shar*
	cd libsipp; $(MAKE) clean;
	cd demo; $(MAKE) clean;
	cd demo/animation; $(MAKE) clean;
	cd doc; ls -1 | egrep -v \
        \(\\.man$$\)\|\(\\.tex$$\)\|\(\\.texinfo$$\)\|\(\\.ps$$\) | xargs $(RM)


shar: clean
	shar -a -n sipp-3.0 -L 50 -o sipp-3.0.shar Makefile README CHANGES \
        COMPATIBILITY INSTALL \
	libsipp/* doc/* demo/*

=== demo/Makefile ===
#
# Makefile for the misc demos of SIPP.
#

# These values are used if not overruled from the command line
#CC = cc
CC = gcc -traditional
CFLAGS = -pipe -O2 -I../libsipp
#CFLAGS = -pipe -g -I../libsipp

SHELL = /bin/sh
RM = rm -f

SRCS = torustest.c conetest.c ellipsoid.c prismtest.c chain.c scroll.c\
	teapot.c structure.c planettest.c isy90.c strausstest.c woodtest.c
PROGRAMS = torustest conetest ellipsoid prismtest chain scroll\
	teapot structure planettest isy90 strausstest woodtest


all:
	@echo "If you want to make only the pretty images, type 'make pretty'."
	@echo "If you want to make only the test images, type   'make tests'."
	@echo "If you want to make all images, type             'make images'."
	@echo
	@echo "If you want to make the programs, but not the images,"
	@echo "type 'make programs'."
	@echo


# ================================================================


programs: ../libsipp/libsipp.a $(PROGRAMS)

../libsipp/libsipp.a:
	cd ..; $(MAKE) library


# ================================================================


teapot: teapot.o ../libsipp/libsipp.a
	$(CC) -o teapot teapot.o ../libsipp/libsipp.a -lm $(LIBS)
	
chain: chain.o ../libsipp/libsipp.a
	$(CC) -o chain chain.o ../libsipp/libsipp.a -lm $(LIBS)

structure: structure.o ../libsipp/libsipp.a
	$(CC) -o structure structure.o ../libsipp/libsipp.a -lm $(LIBS)

planettest: planettest.o ../libsipp/libsipp.a
	$(CC) -o planettest planettest.o ../libsipp/libsipp.a -lm $(LIBS)

isy90: isy90.o ../libsipp/libsipp.a
	$(CC) -o isy90 isy90.o ../libsipp/libsipp.a -lm $(LIBS)

ellipsoid:    ellipsoid.o ../libsipp/libsipp.a
	$(CC) -o ellipsoid ellipsoid.o ../libsipp/libsipp.a -lm $(LIBS)

torustest: torustest.o ../libsipp/libsipp.a
	$(CC) -o torustest torustest.o ../libsipp/libsipp.a -lm $(LIBS)

conetest: conetest.o ../libsipp/libsipp.a
	$(CC) -o conetest conetest.o ../libsipp/libsipp.a -lm $(LIBS)

prismtest: prismtest.o ../libsipp/libsipp.a
	$(CC) -o prismtest prismtest.o ../libsipp/libsipp.a -lm $(LIBS)

strausstest: strausstest.o ../libsipp/libsipp.a
	$(CC) -o strausstest strausstest.o ../libsipp/libsipp.a -lm $(LIBS)

woodtest: woodtest.o ../libsipp/libsipp.a
	$(CC) -o woodtest woodtest.o ../libsipp/libsipp.a -lm $(LIBS)

scroll: scroll.o ../libsipp/libsipp.a
	$(CC) -o scroll scroll.o ../libsipp/libsipp.a -lm $(LIBS)


# ================================================================


clean:
	$(RM) *~ .*~ *.o $(PROGRAMS) *.p?m TAGS

tags:
	etags $(SRCS)


# ================================================================

PRETTY = chain.ppm teapot.ppm structure.ppm planet.ppm isy90.ppm scroll.ppm
TESTS = torus.ppm cone.ppm ellipsoid.ppm prism.ppm strauss.ppm wood.ppm
IMAGES = $(PRETTY) $(TESTS)

images: $(IMAGES)
pretty: $(PRETTY)
tests:  $(TESTS)

chain.ppm: chain
	chain
teapot.ppm: teapot
	teapot
structure.ppm: structure
	structure
planet.ppm: planettest
	planettest
isy90.ppm: isy90
	isy90
torus.ppm: torustest
	torustest
cone.ppm: conetest
	conetest
ellipsoid.ppm: ellipsoid
	ellipsoid
prism.ppm: prismtest
	prismtest
strauss.ppm: strausstest
	strausstest
scroll.ppm: scroll
	scroll

timing: $(PROGRAMS)
	for i in $(PROGRAMS); do echo $$i; time $$i; done

=== libsipp/Makefile ===
#
# Makefile for libsipp
#

VERSION = 3.1

#These values are default if they are not overridden from the command line:
CC = gcc -pipe
CFLAGS = -O2 -I.
#CFLAGS = -g -I.

SHELL = /bin/sh
RM = rm -f

IHDRS = bezier.h lightsource.h noise.h objects.h rendering.h smalloc.h \
        viewpoint.h pixelbuf.h
EHDRS = sipp.h geometric.h shaders.h primitives.h sipp_pixmap.h sipp_bitmap.h
HDRS = $(IHDRS) $(EHDRS)
SRCS =  rendering.c geometric.c lightsource.c objects.c smalloc.c \
        transforms.c viewpoint.c pixelbuf.c \
	basic_shader.c mask.c marble.c granite.c noise.c bozo.c bumpy.c \
	planet.c wood.c phong.c strauss.c\
	prism.c cone.c ellipsoid.c torus.c bezier.c bezier_lex.l \
        sipp_pixmap.c sipp_bitmap.c teapot.c
OBJS = rendering.o geometric.o lightsource.o objects.o smalloc.o \
       transforms.o viewpoint.o basic_shader.o marble.o granite.o mask.o\
       bozo.o bumpy.o planet.o noise.o bezier.o bezier_lex.o pixelbuf.o\
       torus.o cone.o ellipsoid.o prism.o sipp_pixmap.o sipp_bitmap.o\
       wood.o xalloca.o phong.o strauss.o teapot.o


# These are used if no other values are given at the command line:
LIBDIR = /usr/local/lib
INCLUDEDIR = /usr/local/include


all: libsipp.a

libsipp.a:      $(OBJS)
	ar rv $@ $?
	-ranlib $@

patchlevel.h:   Makefile
	rm -f patchlevel.h
	echo \#define VERSION \"$(VERSION)\" > patchlevel.h

libsipp.so:     $(OBJS)
	$(LD) -assert pure-text $(LDFLAGS) -o $(@) $(OBJS)

install: libsipp.a $(EHDRS)
	cp libsipp.a $(LIBDIR)
	cp $(EHDRS) $(INCLUDEDIR)

install.shared: libsipp.so
	cp libsipp.so $(LIBDIR)/libsipp.so.$(VERSION)

tags:
	etags -t $(HDRS) $(SRCS)

clean: 
	$(RM) *.o *~ TAGS bezier_lex.c libsipp.a
	-$(RM) libsipp.so

rendering.o:         sipp.h rendering.h lightsource.h geometric.h smalloc.h\
                     objects.h sipp_bitmap.h viewpoint.h patchlevel.h\
                     xalloca.h pixelbuf.h
geometric.o:         geometric.h sipp.h smalloc.h
lightsource.o:       geometric.h lightsource.h sipp.h smalloc.h
objects.o:           sipp.h
pixelbuf.o:          pixelbuf.h sipp.h smalloc.h rendering.h viewpoint.h\
                     lightsource.h
smalloc.o:           
transforms.o:        geometric.h sipp.h
viewpoint.o:         geometric.h smalloc.h viewpoint.h sipp.h
basic_shader.o:      sipp.h geometric.h
strauss.o:           sipp.h shaders.h geometric.h
mask.o:              shaders.h sipp.h
marble.o:            noise.h shaders.h sipp.h geometric.h
granite.o:           noise.h shaders.h sipp.h geometric.h
bozo.o:              noise.h shaders.h sipp.h
bumpy.o:             noise.h shaders.h sipp.h geometric.h
planet.o:            noise.h sipp.h geometric.h
wood.o:              noise.h shaders.h sipp.h
phong.o:             sipp.h shaders.h geometric.h
noise.o:             noise.h sipp.h
bezier.o:            bezier.h sipp.h primitives.h smalloc.h
bezier_lex.o:        bezier_lex.c bezier.h
torus.o:             sipp.h primitives.h xalloca.h
ellipsoid.o:         sipp.h primitives.h xalloca.h
prism.o:             sipp.h primitives.h xalloca.h
cone.o:              sipp.h primitives.h xalloca.h
teapot.o:            sipp.h primitives.h
sipp_pixmap.o:       sipp_pixmap.h sipp.h smalloc.h
sipp_bitmap.o:       sipp_bitmap.h sipp.h smalloc.h
xalloca.o:           xalloca.h

=== demo/animation/Makefile ===
# Makefile for the animation demo.

LIBDIR=../../libsipp

CC = gcc -traditional
#CC = cc
#CFLAGS = -g -I$(LIBDIR)
#CFLAGS = -O4 -I$(LIBDIR)
CFLAGS = -pipe -O2 -I$(LIBDIR)

PROGS = animation


all:	$(PROGS)

clean:
	rm -f *.o *~ $(PROGS) anim??.p?m core
 

animation: animation.o
	$(CC) -o $@ animation.o -L$(LIBDIR) -lsipp -lm

## sipp 3.3

=== Makefile ===
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#  Copyright (C) 2003 - The Authors
#
#  Author : Richard GAYRAUD - 04 Nov 2003
#           From Hewlett Packard Company.
#

-include local.mk
SVN_VERSION=$(shell if test -d .svn ; then svnversion . | sed -e 's/^/svn/;' ;  else echo unknown ; fi)
VERINFO=-DSVN_VERSION="\"$(SVN_VERSION)\""

# Output binary to be built
OUTPUT=sipp

# C & C++ object files to be built
OBJ= rijndael.o md5.o milenage.o auth.o xp_parser.o message.o scenario.o \
	 screen.o call.o comp.o sipp.o stat.o actions.o variables.o infile.o \
	 deadcall.o task.o socketowner.o listener.o opentask.o reporttask.o \
	 watchdog.o

# Libraries directories
LIBDIR_linux=
LIBDIR_FreeBSD=
LIBDIR_hpux=
LIBDIR_tru64=
LIBDIR_SunOS=
LIBDIR_Cygwin=
LIBDIR_Darwin=

# Archive file created in your home directory when building the archive target
# ARCHIVE= $(HOME)/$(OUTPUT).tgz
ARCHIVE= $(OUTPUT).tgz

# Files to be erased by 'make clean' in addition to the output 
# binaries and object files:
TOCLEAN= *.log $(ARCHIVE) \
         *.csv *.exe

###################################################################
# Generic Rules

#OSNAME=`uname`
#MODELNAME=`uname -m`

# SYSTEM nickname
SYSTEM_HP-UX=hpux
SYSTEM_Linux=linux
SYSTEM_FreeBSD=freebsd
SYSTEM_OSF1=tru64
SYSTEM_SunOS=SunOS
SYSTEM_CYGWIN=Cygwin
SYSTEM_Darwin=Darwin
SYSTEM=$(SYSTEM_$(OSNAME))

# C compiler
CC_hpux=aCC
CC_linux=gcc  
CC_freebsd=cc  
CC_tru64=cc  
CC_SunOS=gcc
CC_Cygwin=cc  
CC_Darwin=cc  
CC=$(CC_$(SYSTEM))

# C++ compiler mapping
CPP_hpux=aCC  
CPP_linux=g++  
CPP_freebsd=g++  
CPP_tru64=cxx  
CPP_SunOS=g++
CPP_Cygwin=g++  
CPP_Darwin=g++  
CPP=$(CPP_$(SYSTEM))

#Model specific flags
MFLAGS_ia64=+DD64
MFLAGS_9000/800=+DAportable
MFLAGS_9000/785=+DAportable
MFLAGS_i686=
MFLAGS_i586=
MFLAGS_i486=
MFLAGS_i386=
MFLAGS_ppc=
MFLAGS=$(MFLAGS_$(MODELNAME))

#C Compiler Flags
# supress warning #829 (Implicit conversion of string literal to
#'char *' is deprecated) since this is both common and harmless
CFLAGS_hpux=-D__HPUX -DPROTOTYPES +W829
CFLAGS_linux=-D__LINUX -pthread 
CFLAGS_freebsd=-D__LINUX -pthread
CFLAGS_tru64=-D__OSF1 -pthread
CFLAGS_SunOS=${DEBUG_FLAGS} -D__SUNOS
CFLAGS_Cygwin=-D__CYGWIN -Dsocklen_t=int
CFLAGS_Darwin=-D__DARWIN
CFLAGS=$(CFLAGS_$(SYSTEM)) $(VERINFO) $(TLS) $(SCTP) $(PCAPPLAY) $(EXTRACFLAGS) $(UNITTEST)

#C++ Compiler Flags
CPPFLAGS_hpux=-AA -mt -D__HPUX -D_INCLUDE_LONGLONG -DNOMACROS +W829  
CPPFLAGS_linux=-D__LINUX -pthread 
CPPFLAGS_freebsd=-D__LINUX -pthread
CPPFLAGS_tru64=-D__OSF1 -pthread
CPPFLAGS_SunOS=${DEBUG_FLAGS} -D__SUNOS
CPPFLAGS_Cygwin=-D__CYGWIN -Dsocklen_t=int
CPPFLAGS_Darwin=-D__DARWIN
CPPFLAGS=$(CPPFLAGS_$(SYSTEM)) $(VERINFO) $(TLS) $(SCTP) $(PCAPPLAY) $(EXTRACPPFLAGS) $(UNITTEST)

#Linker mapping
CCLINK_hpux=aCC
CCLINK_linux=gcc
CCLINK_freebsd=g++
CCLINK_tru64=cxx
CCLINK_SunOS=gcc
CCLINK_Cygwin=g++
CCLINK_Darwin=g++
CCLINK=$(CCLINK_$(SYSTEM))

#Linker Flags
LFLAGS_hpux=-AA -mt
LFLAGS_linux=
LFLAGS_freebsd=
LFLAGS_tru64=
LFLAGS_SunOS=-mt ${DEBUG_FLAGS}
LFLAGS_Cygwin=
LFLAGS_Darwin=
LFLAGS=$(LFLAGS_$(SYSTEM)) $(EXTRALFLAGS)

#Link Libraries
LIBS_linux= -ldl -lpthread -lncurses -lstdc++ -lm -L /usr/local/lib -L /usr/lib -L /usr/lib64
LIBS_hpux= -lcurses -lpthread -L /opt/openssl/lib -L /usr/local/lib
LIBS_tru64= -lcurses -lpthread
LIBS_freebsd= -lcurses -pthread -L /usr/local/lib
LIBS_SunOS= -lcurses -lpthread -lnsl -lsocket -Wl,-Bstatic -lstdc++ -Wl,-Bdynamic -lm -ldl -L /usr/local/ssl/lib/
LIBS_Cygwin= -lcurses -lpthread -lstdc++ -L /usr/lib/WpdPack/Lib
LIBS_Darwin= -lcurses
LIBS=$(LIBS_$(SYSTEM)) $(EXTRALIBS)

# Include directories
INCDIR_linux=-I. -I/usr/include/openssl
INCDIR_freebsd=-I. -I/usr/local/include
INCDIR_hpux=-I. -I/usr/local/include -I/opt/openssl/include
INCDIR_tru64=-I. -I/opt/openssl/include
INCDIR_SunOS=-I. -I/usr/local/ssl/include/
INCDIR_Cygwin=-I. -I/usr/include/openssl -I/usr/include -I/usr/include/ncurses -I/usr/lib/WpdPack/Include
INCDIR_Darwin=-I. -I/usr/local/ssl/include
INCDIR=$(INCDIR_$(SYSTEM)) 

-include local.mk

# Building without TLS (no openssl pre-requisite)
all:
	$(MAKE) OSNAME=`uname|sed -e "s/CYGWIN.*/CYGWIN/"` MODELNAME=`uname -m|sed "s/Power Macintosh/ppc/"` $(OUTPUT)

unittest:
	$(MAKE) UNITTEST="-DSIPP_UNITTEST" OSNAME=`uname|sed -e "s/CYGWIN.*/CYGWIN/"` MODELNAME=`uname -m|sed "s/Power Macintosh/ppc/"` $(OUTPUT)

# Building with TLS
ossl:
	$(MAKE) OSNAME=`uname|sed -e "s/CYGWIN.*/CYGWIN/"` MODELNAME=`uname -m|sed "s/Power Macintosh/ppc/"` OBJ_TLS="sslinit.o sslthreadsafe.o" TLS_LIBS="-lssl -lcrypto" TLS="-D_USE_OPENSSL -DOPENSSL_NO_KRB5" $(OUTPUT)

# Building with SCTP
sctp:
	$(MAKE) OSNAME=`uname|sed -e "s/CYGWIN.*/CYGWIN/"` MODELNAME=`uname -m|sed "s/Power Macintosh/ppc/"` SCTP_LIBS="-lsctp" SCTP="-DUSE_SCTP" $(OUTPUT)

sctp_ossl:
	$(MAKE) OSNAME=`uname|sed -e "s/CYGWIN.*/CYGWIN/"` MODELNAME=`uname -m|sed "s/Power Macintosh/ppc/"` OBJ_TLS="sslinit.o sslthreadsafe.o" TLS_LIBS="-lssl -lcrypto" TLS="-D_USE_OPENSSL -DOPENSSL_NO_KRB5" SCTP_LIBS="-lsctp" SCTP="-DUSE_SCTP" $(OUTPUT)

#Building with PCAP play
pcapplay:
	$(MAKE) OSNAME=`uname|sed -e "s/CYGWIN.*/CYGWIN/"` MODELNAME=`uname -m|sed "s/Power Macintosh/ppc/"` OBJ_PCAPPLAY="send_packets.o prepare_pcap.o" PCAPPLAY_LIBS="-lpcap" PCAPPLAY="-DPCAPPLAY" $(OUTPUT)

pcapplay_ossl:
	$(MAKE) OSNAME=`uname|sed -e "s/CYGWIN.*/CYGWIN/"` MODELNAME=`uname -m|sed "s/Power Macintosh/ppc/"` OBJ_TLS="sslinit.o sslthreadsafe.o" TLS_LIBS="-lssl -lcrypto" TLS="-D_USE_OPENSSL -DOPENSSL_NO_KRB5"  OBJ_PCAPPLAY="send_packets.o prepare_pcap.o" PCAPPLAY_LIBS="-lpcap `if test -f ./ext; then echo -L./ext/lib; fi;`" PCAPPLAY="-DPCAPPLAY `if test -f ./ext; then echo -I./ext/include; fi;`" $(OUTPUT)

pcapplay_sctp_ossl:
	$(MAKE) OSNAME=`uname|sed -e "s/CYGWIN.*/CYGWIN/"` MODELNAME=`uname -m|sed "s/Power Macintosh/ppc/"` SCTP_LIBS="lsctp" SCTP="-DUSE_SCTP" OBJ_TLS="sslinit.o sslthreadsafe.o" TLS_LIBS="-lssl -lcrypto" TLS="-D_USE_OPENSSL -DOPENSSL_NO_KRB5"  OBJ_PCAPPLAY="send_packets.o prepare_pcap.o" PCAPPLAY_LIBS="-lpcap `if test -f ./ext; then echo -L./ext/lib; fi;`" PCAPPLAY="-DPCAPPLAY `if test -f ./ext; then echo -I./ext/include; fi;`" $(OUTPUT)

pcapplay_hp_li_ia:
	@_HPUX_LI_FLAG=-D_HPUX_LI ; export _HPUX_LI_FLAG ; $(MAKE) pcapplay

pcapplay_ossl_hp_li_ia:
	@_HPUX_LI_FLAG=-D_HPUX_LI ; export _HPUX_LI_FLAG ; $(MAKE) pcapplay_ossl

pcapplay_cygwin:
	$(MAKE) OSNAME=`uname|sed -e "s/CYGWIN.*/CYGWIN/"` MODELNAME=`uname -m|sed "s/Power Macintosh/ppc/"` OBJ_PCAPPLAY="send_packets.o prepare_pcap.o" PCAPPLAY_LIBS="-lwpcap" PCAPPLAY="-DPCAPPLAY" $(OUTPUT)

pcapplay_ossl_cygwin:
	$(MAKE) OSNAME=`uname|sed -e "s/CYGWIN.*/CYGWIN/"` MODELNAME=`uname -m|sed "s/Power Macintosh/ppc/"` OBJ_TLS="sslinit.o sslthreadsafe.o" TLS_LIBS="-lssl -lcrypto" TLS="-D_USE_OPENSSL -DOPENSSL_NO_KRB5"  OBJ_PCAPPLAY="send_packets.o prepare_pcap.o" PCAPPLAY_LIBS="-lwpcap" PCAPPLAY="-DPCAPPLAY" $(OUTPUT)

$(OUTPUT): $(OBJ_TLS) $(OBJ_PCAPPLAY) $(OBJ)
	$(CCLINK) $(LFLAGS) $(MFLAGS) $(LIBDIR_$(SYSTEM)) \
	$(DEBUG_FLAGS) -o $@ $(OBJ_TLS) $(OBJ_PCAPPLAY) $(OBJ) $(LIBS) $(TLS_LIBS) $(PCAPPLAY_LIBS) $(SCTP_LIBS) $(EXTRAENDLIBS)

debug:
	DEBUG_FLAGS="-g -pg" ; export DEBUG_FLAGS ; $(MAKE) all

debug_ossl:
	@DEBUG_FLAGS=-g ; export DEBUG_FLAGS ; $(MAKE) ossl

debug_pcap:
	@DEBUG_FLAGS=-g ; export DEBUG_FLAGS ; make pcapplay

debug_pcap_cygwin:
	@DEBUG_FLAGS=-g ; export DEBUG_FLAGS ; $(MAKE) pcapplay_ossl_cygwin

clean:
	rm -f *.o $(OUTPUT) *~ $(TOCLEAN) 
	rm -rf cxx_repository

archive:
	rm -f TMP_TAR_FILE.* $(ARCHIVE)
	$(MAKE) clean
	tar cf TMP_TAR_FILE.tar .
	gzip TMP_TAR_FILE.tar
	cp TMP_TAR_FILE.tar.gz $(ARCHIVE)
	rm -f TMP_TAR_FILE.*


# Files types rules
.SUFFIXES: .o .cpp .c .h .hpp

*.o: *.h *.hpp

.C.o:
	$(CPP) $(CPPFLAGS) $(MFLAGS) $(DEBUG_FLAGS) $(_HPUX_LI_FLAG) $(INCDIR) -c -o $*.o $<

.cpp.o:
	$(CPP) $(CPPFLAGS) $(MFLAGS) $(DEBUG_FLAGS) $(_HPUX_LI_FLAG) $(INCDIR) -c -o $*.o $<

.c.o:
	$(CC) $(CFLAGS) $(MFLAGS) $(DEBUG_FLAGS) $(_HPUX_LI_FLAG) $(INCDIR) -c -o $*.o $<

fortune.so: fortune.cpp
	g++ -fPIC $(CPPFLAGS) $(MFLAGS) $(DEBUG_FLAGS) $(_HPUX_LI_FLAG) $(INCDIR) -c -o fortune.o $<
	gcc -shared -Wl,-soname,fortune.so -o $@ fortune.o

=== debian/changelog ===
sipp (3.3-1parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:11:50 +0200

sipp (3.3-1kali5) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Sophie Brun ]
  * Use unversioned libncurses-dev
  * Remove dookie from Uploaders

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 12 Jul 2023 14:24:07 +0200

sipp (3.3-1kali4) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace
  * Update standards version to 4.6.1, no changes needed.
  * Use secure URI in Homepage field.
  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs
  [ Steev Klimaszewski ]
  * Add d/watch pointing to the github repo
  * Add lintian override
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Fri, 13 Jan 2023 00:50:18 -0600

sipp (3.3-1kali3) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update packaging

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 13 Jan 2021 14:59:27 +0100

sipp (3.3-1kali2) kali-dev; urgency=medium

  * Updated usage examples (Closes: 0004177)

 -- Devon Kearns <dookie@kali.org>  Wed, 23 Aug 2017 14:46:40 -0600

sipp (3.3-1kali1) kali; urgency=low

  * Fixed build and install depends

 -- Devon Kearns <dookie@kali.org>  Sat, 29 Dec 2012 07:08:10 -0700

sipp (3.3-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Sat, 29 Dec 2012 06:48:41 -0700

=== debian/control ===
Source: sipp
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13), libpcap-dev, libncurses-dev
Standards-Version: 4.6.2
Homepage: https://sipp.sourceforge.net/

Package: sipp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcap0.8
Description: Traffic generator for the SIP protocol
 SIPp is a free Open Source test tool / traffic generator
 for the SIP protocol. It includes a few basic SipStone user
 agent scenarios (UAC and UAS) and establishes and releases
 multiple calls with the INVITE and BYE methods. It can also
 reads custom XML scenario files describing from very simple
 to complex call flows. It features the dynamic display of
 statistics about running tests (call rate, round trip delay,
 and message statistics), periodic CSV statistics dumps, TCP
 and UDP over multiple sockets or multiplexed with
 retransmission management and dynamically adjustable call
 rates.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_install:
	dh_installdirs
	install sipp $(CURDIR)/debian/sipp/usr/bin/
